Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class SM2KeyExchangePrivateParameters

    java.lang.Object
      org.bouncycastle.crypto.params.SM2KeyExchangePrivateParameters

All Implemented Interfaces:
  CipherParameters

public class SM2KeyExchangePrivateParameters
extends java.lang.Object
implements CipherParameters

Private parameters for an SM2 key exchange. The ephemeralPrivateKey is used to calculate the random point used in the algorithm.

Constructor Summary
`SM2KeyExchangePrivateParameters(boolean initiator, ECPrivateKeyParameters staticPrivateKey, ECPrivateKeyParameters ephemeralPrivateKey)`

Method Summary
`ECPrivateKeyParameters` | `getEphemeralPrivateKey()`
`ECPoint` | `getEphemeralPublicPoint()`
`ECPrivateKeyParameters` | `getStaticPrivateKey()`
`ECPoint` | `getStaticPublicPoint()`
`boolean` | `isInitiator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SM2KeyExchangePrivateParameters

    public SM2KeyExchangePrivateParameters(boolean initiator,
                                           ECPrivateKeyParameters staticPrivateKey,
                                           ECPrivateKeyParameters ephemeralPrivateKey)

Method Detail

### isInitiator

    public boolean isInitiator()

### getStaticPrivateKey

    public ECPrivateKeyParameters getStaticPrivateKey()

### getStaticPublicPoint

    public ECPoint getStaticPublicPoint()

### getEphemeralPrivateKey

    public ECPrivateKeyParameters getEphemeralPrivateKey()

### getEphemeralPublicPoint

    public ECPoint getEphemeralPublicPoint()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD